package kr.co.hanwha.hifive.adapter.contract;

import java.util.ArrayList;

import kr.co.hanwha.hifive.data.model.TaskHistoryData;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public interface TaskHistoryListContract {
    interface View {
        void notifyDataAll();

        void notifyDataRangeChanged(int positionStart, int itemCount);
    }

    interface Model {
        void clearItems();

        void addItems(ArrayList<TaskHistoryData> list);
    }
}
